To create and activate a virtual environment, run the following command in a terminal:
```bash
conda env create -n qsatd -f env.yml
conda activate qsatd
```

Then, run the following Python files:
```bash
python 0-data-scraping.py # scraping for dependencies
python 1-clone-repositories.py # clone dependencies
python 2-get-satd.py # detect SATDs from Python files by keywords
```